%define cvsdate cvs20030613

Name:		rox
Version:	2.0.0
Release:	alt4cvs
Summary:	A fast and powerful graphical file manager
Group:		File tools		
License:	GPL
Packager:	AVL <avl@altlinux.ru>
URL:		http://rox.sourceforge.net
Source0:	rox.tar.bz2
Source1:	rox-menuitem
Source2:	rox-menu-method
Source3:	rox-ru.po
Source4:	rox-README-ru
Source5:	rox-Manual-fr.html
Source6:	rox-Manual.html
Source7:	rox.1

Patch0:		rox-locale_filenames.patch
Patch1:		rox-panel_strut.patch.gz
Requires:	shared-mime-info >= 0.8
Conflicts:	rox-base
Obsoletes:	ROX-Filer



# Automatically added by buildreq on Mon Jul 14 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libexpat libgtk+2-devel libpango-devel libxml2-devel pkgconfig zlib-devel

%description
ROX-Filer (rox) is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.
ROX-Filer also known as rox.

%define _appsdir %{_datadir}/apps

%prep
%setup -q -n rox
cp -f %{SOURCE3} ROX-Filer/src/po/ru.po
cp -f %{SOURCE4} ROX-Filer/Help/README-ru
cp -f %{SOURCE5} ROX-Filer/Help/Manual-fr.html
cp -f %{SOURCE6} ROX-Filer/Help/Manual.html
cp -f %{SOURCE7} ./rox.1


%patch -p1
%patch1 
find . -name .cvsignore -or -type d -name CVS | xargs rm -rf

%build
export CFLAGS="$RPM_OPT_FLAGS"

(cd ROX-Filer/src/po;./dist)
ROX-Filer/AppRun --compile
#(cd ROX-Filer/src/Docs; make)

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_appsdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages

cp -a ROX-Filer $RPM_BUILD_ROOT%{_appsdir}
rm -rf $RPM_BUILD_ROOT%{_appsdir}/ROX-Filer/src
rm -rf $RPM_BUILD_ROOT%{_appsdir}/ROX-Filer/*/src

cp -a rox.1 $RPM_BUILD_ROOT%{_mandir}/man1

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/rox
#!/bin/sh
exec %{_appsdir}/ROX-Filer/AppRun "\$@"
EOF

chmod a+x $RPM_BUILD_ROOT%{_bindir}/rox

cp -a rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a Choices $RPM_BUILD_ROOT%{_datadir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -a ROX-Filer/.DirIcon $RPM_BUILD_ROOT%{_datadir}/pixmaps/rox.png

# menuitem
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cp $RPM_SOURCE_DIR/rox-menuitem $RPM_BUILD_ROOT%{_menudir}/rox

# menu-method
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods
cp $RPM_SOURCE_DIR/rox-menu-method $RPM_BUILD_ROOT/etc/menu-methods/rox-menu-method

%post
%{_bindir}/update-mime-database %{_datadir}/mime
%{update_menus}

%postun
%{clean_menus}



%files
%defattr (-,root,root)
%doc README*
%{_appsdir}/*
%{_bindir}/rox
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/Choices
%{_datadir}/mime/packages/*
%{_datadir}/mime/packages/*
%{_menudir}/rox
/etc/menu-methods/rox-menu-method




%changelog
* Mon Jul 14 2003 Lubimov Alexey <avl@altlinux.ru> 2.0.0-alt4cvs
- update ru.po
- add README-ru
- prebuild documentation. 


* Mon Jul 07 2003 Lubimov Alexey <avl@altlinux.ru> 2.0.0-alt3cvs
- add patch panel_strut to make panel immutable from maximazed windows.
- remove src from binary package
- build man rox.1
- build manuals (sorry, only english and spanish)

* Fri Jun 13 2003 Lubimov Alexey <avl@altlinux.ru> 2.0.0-alt2cvs
- rename ROX-Filer to rox
- clean spec 
- improved ru.po (thanks Grigory Tuboltsev)


* Fri Jun 13 2003 Lubimov Alexey <avl@altlinux.ru> 2.0.0-alt1cvs
- new release 2.0 (cvs from Jun 13 2003)
- add patch for filename from Thomas de Grenier de Latour

* Fri Apr 04 2003 avl <avl@altlinux.ru> 1.3.8-alt2cvs
- fix place appsdir again

* Fri Apr 04 2003 avl <avl@altlinux.ru> 1.3.8-alt1cvs
- update from cvs
- change place for appsdir

* Sun Mar 02 2003 avl <avl@altlinux.ru> 1.3.7-alt3cvs
-update from cvs (1.3.7 release)

* Mon Feb 24 2003 avl <avl@altlinux.ru> 1.3.7-alt2cvs
- ready for build with bte

* Mon Feb 24 2003 avl <avl@altlinux.ru> 1.3.7-alt1cvs
-update from cvs
-update ru.po 

* Sat Dec 21 2002 avl <avl@altlinux.ru> 1.3.6-alt0.1cvs
-initial rpm package for sisyphus

